## festlex-cmu 1.2.1

=== Makefile ===
###########################################################################
##                                                                       ##
##                Centre for Speech Technology Research                  ##
##                     University of Edinburgh, UK                       ##
##                         Copyright (c) 1996                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission to use, copy, modify, distribute this software and its    ##
##  documentation for any purpose is hereby granted without fee,         ##
##  subject to the following conditions:                                 ##
##   1. Redistributions of source code must retain the above copyright   ##
##      notice, this list of conditions and the following disclaimer.    ##
##   2. Redistributions in binary form must reproduce the above          ##
##      copyright notice, this list of conditions and the following      ##
##      disclaimer in the documentation and/or other materials provided  ##
##      with the redistribution.                                         ##
##   3. Neither the name of the University nor the names of its          ##
##      contributors may be used to endorse or promote products derived  ##
##      from this software without specific prior written permission.    ##
##   4. Any modifications must be clearly marked as such.                ##
##   5. Original authors' names, if present, remain.                     ##
##                                                                       ##
##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL THE UNIVERSITY OF EDINBURGH NOR THE CONTRIBUTORS BE LIABLE     ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Alan W Black (awb@cstr.ed.ac.uk) May 1997                            ##
##                                                                       ##
##  Programs to covert the CMU LEXICON to a form suitable for use in     ##
##  festival.  Note this is for version 0.1 (which is pretty ancient)    ##
##                                                                       ##
##  Note this includes a patch to add part of speech to the lexicon for  ##
##  homogrpahs which can be distinguished by part of speech              ##
##                                                                       ##
##  This requires the CMULEX which is available from                     ##
##       http://www.speech.cs.cmu.edu/cgi-bin/cmudict                    ##
##  The Copyright on the CMU lexicon is                                  ##
##    The Carnegie Mellon Pronouncing Dictionary [cmudict.0.1] is        ##
##    Copyright 1993 by Carnegie Mellon University. Use of this          ##
##    dictionary, for any research or commercial purpose, is             ##
##    completely unrestricted.  If you make use of or redistribute       ##
##    this material, we would appreciate acknowlegement of its origin.   ##
##                                                                       ##
## CSTR gratefully acknowledges CMU for the use of this lexicon          ##
##                                                                       ##
###########################################################################

SRCS = cmu2ft
FILES = Makefile $(SRCS) cmu_lex.diff 

cmu_lex.out: cmu_lex.scm
	( echo "(load (string-append libdir \"/\" \"siod.scm\"))"; \
	  echo "(require 'radio_phones)"; \
          echo "(lex.compile \"cmu_lex.scm\" \"cmu_lex.out\")" ) | \
	festival -q

cmu_lex.scm: 
	./cmu2ft cmudict.0.1 >cmu_lex.scm
	patch <cmu_lex.diff

backup:
	tar zcvf cmulex2ft.tar.gz $(FILES)
