## festlex-cmu 1.4.0

=== lib/dicts/cmu/Makefile ===
--- 
+++ 
@@ -5,20 +5,19 @@
 ##                         Copyright (c) 1998                            ##
 ##                        All Rights Reserved.                           ##
 ##                                                                       ##
-##  Permission to use, copy, modify, distribute this software and its    ##
-##  documentation for any purpose is hereby granted without fee,         ##
-##  subject to the following conditions:                                 ##
-##   1. Redistributions of source code must retain the above copyright   ##
-##      notice, this list of conditions and the following disclaimer.    ##
-##   2. Redistributions in binary form must reproduce the above          ##
-##      copyright notice, this list of conditions and the following      ##
-##      disclaimer in the documentation and/or other materials provided  ##
-##      with the redistribution.                                         ##
-##   3. Neither the name of the University nor the names of its          ##
-##      contributors may be used to endorse or promote products derived  ##
-##      from this software without specific prior written permission.    ##
-##   4. Any modifications must be clearly marked as such.                ##
-##   5. Original authors' names, if present, remain.                     ##
+##  Permission is hereby granted, free of charge, to use and distribute  ##
+##  this software and its documentation without restriction, including   ##
+##  without limitation the rights to use, copy, modify, merge, publish,  ##
+##  distribute, sublicense, and/or sell copies of this work, and to      ##
+##  permit persons to whom this work is furnished to do so, subject to   ##
+##  the following conditions:                                            ##
+##   1. The code must retain the above copyright notice, this list of    ##
+##      conditions and the following disclaimer.                         ##
+##   2. Any modifications must be clearly marked as such.                ##
+##   3. Original authors' names are not deleted.                         ##
+##   4. The authors' names are not used to endorse or promote products   ##
+##      derived from this software without specific prior written        ##
+##      permission.                                                      ##
 ##                                                                       ##
 ##  THE UNIVERSITY OF EDINBURGH AND THE CONTRIBUTORS TO THIS WORK        ##
 ##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
@@ -55,7 +54,19 @@
 
 SRCS = cmu2ft
 RUNTIME = cmulex.scm cmu_lts_rules.scm cmudict-0.4.out
-FILES = Makefile $(SRCS) cmudict-0.4.scm cmudict-0.4.diff 
+FILES = Makefile COPYING $(SRCS) cmudict-0.4.scm cmudict-0.4.diff 
+
+cmudict-0.4.out: cmudict-0.4.scm cmudict_extensions.scm
+	cat cmudict-0.4.scm cmudict_extensions.scm >all.scm
+	( echo "(load (string-append libdir \"/\" \"siod.scm\"))"; \
+	  echo "(require 'radio_phones)"; \
+          echo "(lex.compile \"all.scm\" \"cmudict-0.4.out\")" ) | \
+	festival -q
+	rm -f all.scm
+
+cmudict-0.4.scm: 
+	./cmu2ft cmudict.0.4 cmudict-0.4.scm
+	patch <cmudict-0.4.diff
 
 # Can optionally reduce the lexicon size by removing those entries that
 # the LTS system correctly predict.
@@ -66,15 +77,5 @@
           echo "(reduce_lexicon \"cmudict-0.4.out\" \"cmudict-0.4.exception.out\" cmu_lts_function)" ) | \
 	festival -q
 
-cmudict-0.4.out: cmudict-0.4.scm
-	( echo "(load (string-append libdir \"/\" \"siod.scm\"))"; \
-	  echo "(require 'radio_phones)"; \
-          echo "(lex.compile \"cmudict-0.4.scm\" \"cmudict-0.4.out\")" ) | \
-	festival -q
-
-cmudict-0.4.scm: 
-	./cmu2ft cmudict.0.4 cmudict-0.4.scm
-	patch <cmudict-0.4.diff
-
 backup:
 	tar zcvf cmudict04.tar.gz $(FILES)
