## festlex-cmu 2.4

=== debian/changelog ===
festlex-cmu (2.4-2) unstable; urgency=medium

  * Team upload.
  * patches/festival-path: Turn 1.0 format changes to a patch.
  * source/format: Set to 3.0 (quilt) format.
  * rules: rename build-indep to override_dh_auto_build (Closes: Bug#952235)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Feb 2020 14:51:05 +0100

festlex-cmu (2.4-1) unstable; urgency=medium

  * New (mwa) upstream release
  * Update d/watch now it supports directories
  * Bump standards version to 4.0.0 (no changes)
  * Bump dh compat level to 10
  * Drop version from festival in Depends, even wheezy is newer
  * Fix upstream Makefile to use system version of festival

 -- Paul Gevers <elbrus@debian.org>  Sun, 16 Jul 2017 21:15:26 +0200

festlex-cmu (1.4.0-8) unstable; urgency=medium

  * Change build target in d/rules to build-indep as the buildd didn't
    pick up the target (I must have been sleeping)

 -- Paul Gevers <elbrus@debian.org>  Wed, 04 Nov 2015 11:20:23 +0100

festlex-cmu (1.4.0-7) unstable; urgency=medium

  * Take over maintenance by TTS team.
  * Add d/compat (level 9) and bump debhelper B-D to 9 (Closes: #800184)
  * Migrate to shortstyle debhelper
  * Bump Standards to 3.9.6
  * Set source format to 1.0 (I use dgit for now) and prevent dpkg-source
    from failing on .git tree
  * Add watch file to detect new versions (althought currently that is
    pointing to a "new" 2.4 release which is the same as the current
    release)

 -- Paul Gevers <elbrus@debian.org>  Tue, 03 Nov 2015 18:08:48 +0100

festlex-cmu (1.4.0-6) unstable; urgency=low

  * Updated Maintained address to @d.o (pre-Sarge).
  * Standards-Version: 3.6.1 (no changes)

 -- Matthias Urlichs <smurf@debian.org>  Sat,  3 Apr 2004 12:39:31 +0200

festlex-cmu (1.4.0-5) unstable; urgency=low

  * debian/control: Priority: changed to optional.

 -- Matthias Urlichs <smurf@smurf.noris.de>  Tue,  1 Jul 2003 15:47:33 +0200

festlex-cmu (1.4.0-4) unstable; urgency=low

  * Require festival >= 1.4.3-9 (migration to /usr/share).

 -- Matthias Urlichs <smurf@smurf.noris.de>  28 Jun 2003 13:47:37 +0200

festlex-cmu (1.4.0-3) unstable; urgency=low

  * Install in /usr/share.
   
  * Don't clean the *.out files: we may not have festival installed yet...

 -- Matthias Urlichs <smurf@smurf.noris.de>  27 May 2003 20:16:33 +0200

festlex-cmu (1.4.0-2) unstable; urgency=low

  * New maintainer.
   
  * Removed bashism and debhelper cruft from debian/rules.
  * Updated Standards-Version.
  * Re-worded description to be more standard.
  * Do not depend on festival being installed when building.

 -- Matthias Urlichs <smurf@smurf.noris.de>  18 Apr 2003 18:15:46 +0200

festlex-cmu (1.4.0-1) unstable; urgency=low

  * New upstream release.  Is now free software.

 -- David Huggins-Daines <dhd@debian.org>  Sun,  7 Nov 1999 00:11:05 -0500

festlex-cmu (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Dropped some of the .scm files from binary package.
  * Actually compile the .out file, instead of using the shipped one.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 29 Jan 1999 16:24:05 -0800

festlex-cmu (1.3.0-2) unstable; urgency=low

  * Added in two .scm files I accidentiall left out of the last version.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 26 Aug 1998 23:26:16 -0700

festlex-cmu (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 26 Aug 1998 15:02:38 -0700

festlex-cmu (1.2.1-2) unstable; urgency=low

  * Fix minor lintain errors.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 11 Mar 1998 22:45:39 -0800

festlex-cmu (1.2.1-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 26 Oct 1997 22:12:44 -0500

Local variables:
mode: debian-changelog
End:
