=== debian/control ===
Source: festlex-cmu
Section: sound
Priority: optional
Maintainer: Debian TTS team <tts-project@lists.alioth.debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Standards-Version: 4.0.0
Build-Depends-Indep: debhelper (>= 10~),
 festival
Homepage: http://www.cstr.ed.ac.uk/projects/festival/
Vcs-Git: https://git.dgit.debian.org/festlex-cmu
Vcs-Browser: https://browse.dgit.debian.org/festlex-cmu.git

Package: festlex-cmu
Architecture: all
Depends: festival,
 ${misc:Depends}
Description: CMU dictionary for Festival
 This is the CMU dictionary in Festival form.
 It is required for American English voices.
