=== debian/watch ===
version=4
# Note that a "new" version doesn't seem to imply new content.
opts="filenamemangle=s#.*/festival/@ANY_VERSION@/festlex_CMU#@PACKAGE@_$1#" \
  http://festvox.org/packed/festival/@ANY_VERSION@/ festlex_CMU@ARCHIVE_EXT@
